Module ij
Package ij.plugin

# Class RoiRotator

java.lang.Object
ij.plugin.RoiRotator

All Implemented Interfaces:
  `PlugIn`

public class RoiRotator extends Object implements PlugIn
This plugin implements the Edit/Selection/Rotate command.

## Constructor Summary

Constructors
Constructor
Description
`RoiRotator()`

## Method Summary

Modifier and Type
Method
Description
`static Roi`
`rotate(Roi roi, double angle)`
`static Roi`
`rotate(Roi roi, double angle, double xcenter, double ycenter)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`double`
`showDialog(double angle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoiRotator

public RoiRotator()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### showDialog

public double showDialog(double angle)

### rotate

public static Roi rotate(Roi roi, double angle)

### rotate

public static Roi rotate(Roi roi, double angle, double xcenter, double ycenter)